Debian Bug report logs - #510665
generates a broken Received header

version graph

Package: spamass-milter; Maintainer for spamass-milter is Don Armstrong <don@debian.org>; Source for spamass-milter is src:spamass-milter.

Reported by: Marco d'Itri <md@linux.it>

Date: Sun, 4 Jan 2009 05:33:02 UTC

Severity: normal

Tags: patch

Found in version 0.3.1

Fixed in version spamass-milter/0.3.1-8

Done: Don Armstrong <don@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, md@linux.it, Don Armstrong <don@debian.org>:
Bug#510665; Package spamass-milter. (Sun, 04 Jan 2009 05:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marco d'Itri <md@linux.it>:
New Bug report received and forwarded. Copy sent to md@linux.it, Don Armstrong <don@debian.org>. (Sun, 04 Jan 2009 05:33:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Marco d'Itri <md@linux.it>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: generates a broken Received header
Date: Sun, 4 Jan 2009 06:27:03 +0100
[Message part 1 (text/plain, inline)]
Package: spamass-milter
Version: 0.3.1
Severity: normal
Tags: patch

The code in spamass-milter.cpp which tries to create a
Sendmail-compatible header is broken and generates an header which is
incorrectly parsed by spamassassin. Pseudo-patch:

-                       "by "+macro_j+"("+macro_v+"/"+macro_Z+") with "+macro_r+" id "+macro_i+"\r\n\t"+
+                       "by "+macro_j+" ("+macro_v+"/"+macro_Z+") with "+macro_r+" id "+macro_i+"\r\n\t"+
                        macro_b+"\r\n\t"+
-                       "(envelope-from "+assassin->from()+"\r\n");
+                       "(envelope-from "+assassin->from()+")\r\n");

(Only the first change is actually needed, but I see no reason to not
fix both issues.)


I also suggest that in the next upload you document that Postfix users
need to configure this in main.cf:

milter_connect_macros = j {daemon_name} v {if_name} _

-- 
ciao,
Marco
[signature.asc (application/pgp-signature, inline)]

Tags added: pending Request was from Don Armstrong <don@debian.org> to control@bugs.debian.org. (Tue, 06 Jan 2009 02:42:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Don Armstrong <don@debian.org>:
Bug#510665; Package spamass-milter. (Thu, 08 Jan 2009 02:21:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Don Armstrong <don@donarmstrong.com>:
Extra info received and forwarded to list. Copy sent to Don Armstrong <don@debian.org>. (Thu, 08 Jan 2009 02:21:02 GMT) Full text and rfc822 format available.

Message #12 received at 510665@bugs.debian.org (full text, mbox):

From: Don Armstrong <don@donarmstrong.com>
To: "Marco d'Itri" <md@linux.it>, 510665@bugs.debian.org
Subject: Re: Bug#510665: generates a broken Received header
Date: Wed, 7 Jan 2009 18:19:56 -0800
On Sun, 04 Jan 2009, Marco d'Itri wrote:
> The code in spamass-milter.cpp which tries to create a
> Sendmail-compatible header is broken and generates an header which is
> incorrectly parsed by spamassassin. Pseudo-patch:
> 
> -                       "by "+macro_j+"("+macro_v+"/"+macro_Z+") with "+macro_r+" id "+macro_i+"\r\n\t"+
> +                       "by "+macro_j+" ("+macro_v+"/"+macro_Z+") with "+macro_r+" id "+macro_i+"\r\n\t"+
>                         macro_b+"\r\n\t"+
> -                       "(envelope-from "+assassin->from()+"\r\n");
> +                       "(envelope-from "+assassin->from()+")\r\n");
> 
> (Only the first change is actually needed, but I see no reason to not
> fix both issues.)

Would you mind testing -8 which should fix this to make sure it
actually does?

http://rzlab.ucr.edu/debian/spamass-milter/spamass-milter_0.3.1-8.dsc
 
[I'll try to get a release exception once i know the results of your
testing.]



Don Armstrong

-- 
If I had a letter, sealed it in a locked vault and hid the vault
somewhere in New York. Then told you to read the letter, thats not
security, thats obscurity. If I made a letter, sealed it in a vault,
gave you the blueprints of the vault, the combinations of 1000 other
vaults, access to the best lock smiths in the world, then told you to
read the letter, and you still can't, thats security.
 -- Bruce Schneier

http://www.donarmstrong.com              http://rzlab.ucr.edu




Reply sent to Don Armstrong <don@debian.org>:
You have taken responsibility. (Sat, 24 Jan 2009 05:42:04 GMT) Full text and rfc822 format available.

Notification sent to Marco d'Itri <md@linux.it>:
Bug acknowledged by developer. (Sat, 24 Jan 2009 05:42:05 GMT) Full text and rfc822 format available.

Message #17 received at 510665-close@bugs.debian.org (full text, mbox):

From: Don Armstrong <don@debian.org>
To: 510665-close@bugs.debian.org
Subject: Bug#510665: fixed in spamass-milter 0.3.1-8
Date: Sat, 24 Jan 2009 05:17:04 +0000
Source: spamass-milter
Source-Version: 0.3.1-8

We believe that the bug you reported is fixed in the latest version of
spamass-milter, which is due to be installed in the Debian FTP archive:

spamass-milter_0.3.1-8.diff.gz
  to pool/main/s/spamass-milter/spamass-milter_0.3.1-8.diff.gz
spamass-milter_0.3.1-8.dsc
  to pool/main/s/spamass-milter/spamass-milter_0.3.1-8.dsc
spamass-milter_0.3.1-8_amd64.deb
  to pool/main/s/spamass-milter/spamass-milter_0.3.1-8_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 510665@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Don Armstrong <don@debian.org> (supplier of updated spamass-milter package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 23 Jan 2009 15:40:41 -0800
Source: spamass-milter
Binary: spamass-milter
Architecture: source amd64
Version: 0.3.1-8
Distribution: unstable
Urgency: low
Maintainer: Don Armstrong <don@debian.org>
Changed-By: Don Armstrong <don@debian.org>
Description: 
 spamass-milter - milter for filtering mail through spamassassin
Closes: 496003 510665
Changes: 
 spamass-milter (0.3.1-8) unstable; urgency=low
 .
   * Update the documentation in README.Debian to indicate that a different
     path to the postfix socket may be required in chrooted postfix
     installs (closes: #496003)
   * Update milter_connect_macros_line (thanks to Marco d'Itri)
   * Fix the code to generate a sendmail-compatible header (thanks to Marco
     d'Itri) (closes: #510665).
   * Put Homepage in the proper location
   * Update standards version with only the above change
Checksums-Sha1: 
 b3a4d472ffab54b60b6cd67b1153da3d678357b6 1016 spamass-milter_0.3.1-8.dsc
 d4c97f4961569a3610fa41315762b6e8c912786b 33519 spamass-milter_0.3.1-8.diff.gz
 1cf4cab264c6f87894a612298d9c54c47aed9638 52342 spamass-milter_0.3.1-8_amd64.deb
Checksums-Sha256: 
 09b0d2a55dac46cd694ab06f3bb9934e905d35699e366db2593c17200968d7a1 1016 spamass-milter_0.3.1-8.dsc
 47a2a838bfa3e46d74f00f605d240eed3bfa5dc5cc707f88dee5a79d2c4187d8 33519 spamass-milter_0.3.1-8.diff.gz
 27d0d88f569f9b6e4455392050dd27573aeec905f5c9fcaff61f11f254753f5d 52342 spamass-milter_0.3.1-8_amd64.deb
Files: 
 e7cf82dcb72c52bb5844da7e316d71fe 1016 mail extra spamass-milter_0.3.1-8.dsc
 61591fd315ae8bd3ed66c09d7014ae05 33519 mail extra spamass-milter_0.3.1-8.diff.gz
 a4b573fc08b21f688f587737276e9b63 52342 mail extra spamass-milter_0.3.1-8_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iD8DBQFJeqJsgcCJIoCND9ARAqacAJoCN1S2pmiGFAyVb6d/jmqnco7tVACfaecY
FrR9fliw+ZlTrwqOmuvyEic=
=lQ7N
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 21 Feb 2009 07:35:08 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 14:49:27 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.